### Method

# Gtk CellRendererget_aligned_area

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_get_aligned_area (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState flags,
      const GdkRectangle* cell_area,
      GdkRectangle* aligned_area
    )

#### Description [src]

Gets the aligned area used by `cell` inside `cell_area`. Used for finding the appropriate edit and focus rectangle.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` this cell will be rendering to.

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  Render flags.

`cell_area`

  Type: `GdkRectangle`

  Cell area which would be passed to `gtk_cell_renderer_render()`

  The data is owned by the caller of the method.

`aligned_area`

  Type: `GdkRectangle`

  The return location for the space inside `cell_area` that would actually be used to render.

  The argument will be set by the function.
  The data is owned by the instance.